NODM(8)

NAME
nodm - X display manager for automatic logins

SYNOPSIS
nodm [options]

DESCRIPTION
nodm is a minimal display manager that simply logs in as a given user and starts an X session, without asking for username or password.

On a normal computer, using nodm is a big security issue because it would give anyone access to the computer.

However, there are cases where automatic login is needed: for example in an embedded system such as a mobile phone, or in a kiosk setup, or in a control panel for industrial machinery. For those cases, nodm is simple to setup, lightweight, and it should do exactly the right thing.

OPTIONS

--help
    print this help message

--version
    print nodm's version number

--verbose
    verbose outpout or logging

--quiet
    only log warnings and errors

--nested
    run a nested X server, does not require root. The server defaults to "/usr/bin/Xnest :1", override with NODM_X_OPTIONS

--[no-]syslog
    enable/disable logging to syslog

--[no-]stderr
    enable/disable logging to stderr

AUTHOR
nodm is written and maintained by Enrico Zini <enrico@enricozini.org> and Joachim Breitner <nomeata@debian.org>.

SEE ALSO
xinit(1), xdm(1), gdm(1), kdm(1).